package com.chenyang.druid.sql.ast.statement;

import com.chenyang.druid.sql.ast.SQLExpr;
import com.chenyang.druid.sql.ast.SQLHint;
import com.chenyang.druid.sql.ast.SQLName;
import com.chenyang.druid.sql.ast.SQLObject;
import java.util.List;

public interface SQLTableSource extends SQLObject {
   String getAlias();

   long aliasHashCode64();

   void setAlias(String var1);

   List<SQLHint> getHints();

   SQLTableSource clone();

   String computeAlias();

   boolean containsAlias(String var1);

   SQLExpr getFlashback();

   void setFlashback(SQLExpr var1);

   SQLColumnDefinition findColumn(String var1);

   SQLColumnDefinition findColumn(long var1);

   SQLObject resolveColum(long var1);

   SQLTableSource findTableSourceWithColumn(String var1);

   SQLTableSource findTableSourceWithColumn(long var1);

   SQLTableSource findTableSourceWithColumn(SQLName var1);

   SQLTableSource findTableSourceWithColumn(long var1, String var3, int var4);

   SQLTableSource findTableSource(String var1);

   SQLTableSource findTableSource(long var1);

   void setOnly(boolean var1);

   boolean getOnly();
}
